.header-content {
  background: linear-gradient(253deg, #ffee32 -13.48%, #d6d6d6 125.48%);
  height: 800px;
  position: relative;
}

.header-content__navigation {
  margin-top: 27px;
  width: 100vw;

  @media (min-width: 320px) {
  }
  @media (min-width: 768px) {
    margin-top: 38px;
  }
  @media (min-width: 1200px) {
    margin-top: 41px;
  }

  position: fixed;
  left: 0;
  right: 0;
  z-index: 2;
}
.bg-black {
  width: 100vw;
  background-color: $main-bgcolor;
  box-shadow: 0px 4px 4px 0px rgba(255, 255, 255, 0.5);
  padding-top: 18px;
  padding-bottom: 18px;
  margin-top: 0px;
}

.header-content__main-nav {
  @media (min-width: 1200px) {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}
.header-content__main-list {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-left: 0;
}
.header-content__main-item {
  list-style: none;
}
.header-content__main-btn {
  display: inline-block;
  width: 56px;
  height: 56px;
  background-repeat: no-repeat;
  background-size: cover;
  background-color: transparent;
  border: none;

  &--right {
    background-image: url(../images/icon/header-right.svg);

    @media (min-width: 1200px) {
      display: none;
    }
  }
}

.header-content__title {
  color: $main-color;
  bottom: 149px;
  font-size: 48px;
  font-weight: 700;
  position: absolute;
  margin-bottom: 0;
  @media (min-width: 450px) {
    width: 320px;
  }
  @media (min-width: 768px) {
    bottom: 130px;
    width: 521px;
    font-size: 80px;
  }
  @media (min-width: 1200px) {
    bottom: 119px;
    width: 846px;
  }
}

.nav-right__list {
  display: none;
  list-style: none;
  @include manrope(16px, 700);
  width: 595px;

  &:hover .header-content__main-btn--right {
    display: block;
  }
  @media (min-width: 1200px) {
    display: flex;
    justify-content: space-between;
    gap: 20px;
  }
}
.nav-right__link {
  color: $main-color;
  padding: 10px 16px;
  border-radius: 20px;
  border: 1px solid $main-color;
  display: flex;
  gap: 12px;
  &--icon1 {
    &::before {
      @include psevdo;
      background-image: url(../images/icon/header-portfolio.svg);
    }
  }
  &--icon2 {
    &::before {
      @include psevdo;
      background-image: url(../images/icon/header-resume.svg);
    }
  }
  &--icon3 {
    &::before {
      @include psevdo;
      background-image: url(../images/icon/header-testi.svg);
    }
  }
  &--icon4 {
    &::before {
      @include psevdo;
      background-image: url(../images/icon/header-contact.svg);
    }
  }
}
